Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

9.0.0 rc0,1 getting error spawnSync yarn ENOENT #16115

Closed
keatkeat87 opened this issue Nov 8, 2019 · 1 comment

Comments

@keatkeat87
Copy link

@keatkeat87 keatkeat87 commented Nov 8, 2019

command
ng add @angular/material
ng add @angular/pwa

error details
[error] Error: spawnSync yarn ENOENT
Package install failed, see above.
at Object.installPackage (C:\keatkeat\projects\testd\node_modules@angular\cli\tasks\install-package.js:39:15)
at AddCommand.run (C:\keatkeat\projects\testd\node_modules@angular\cli\commands\add-impl.js:141:31)
at async AddCommand.validateAndRun (C:\keatkeat\projects\testd\node_modules@angular\cli\models\command.js:134:28)
at async Object.runCommand (C:\keatkeat\projects\testd\node_modules@angular\cli\models\command-runner.js:201:24)
at async default_1 (C:\keatkeat\projects\testd\node_modules@angular\cli\lib\cli\index.js:54:31)

work perfect when I try version 8.3.18.

Can you please provide the output of ng version

Angular CLI: 9.0.0-rc.1
Node: 12.3.1
OS: win32 x64
Angular:
...

Package Version

@angular-devkit/architect 0.900.0-rc.1
@angular-devkit/core 9.0.0-rc.1
@angular-devkit/schematics 9.0.0-rc.1
@schematics/angular 9.0.0-rc.1
@schematics/update 0.900.0-rc.1
rxjs 6.5.3

@alan-agius4

This comment has been minimized.

Copy link
Collaborator

@alan-agius4 alan-agius4 commented Nov 8, 2019

Should be fixed by #16112

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
3 participants
You can’t perform that action at this time.